 SELECT admin.createdomain --only for demonstrating how to create an organisation. In this document, we are not actually using this organisation.
(
    'OmsSystem',                        --parent_org_name varchar,
    'inSPIRED',    					--name            varchar,
    '-'                                 --description     varchar
);

-- create a new rule set for B2B.
INSERT into oms."ShopOrderValidationDO"
(
  id,                           -- bigint NOT NULL,
  "articleId",                    --boolean,
  "commercialRegister",           --boolean,
  "companyName",              --boolean,
  "companyType",              --boolean,
  "costNo",                       --boolean,
  department,                   --boolean,
  ean,                          --boolean,
  "lineOfBusiness",               --boolean,
  "purchaseGross",                --boolean,
  "purchaseNet",              --boolean,
  "purchaseTax",              --boolean,
  "salesGross",                   --boolean,
  "salesNet",                 --boolean,
  "salesTax",                 --boolean,
  "shopCustomerNo",               --boolean,
  "shopOrderNo",              --boolean,
  "shopSelectedSupplierId",       --boolean,
  "vatNo",                        --boolean,
  "singlePositionArticle",        --boolean,
  name,                         --character varying(255) NOT NULL,
  "orderAddressEmailRequired"     --boolean DEFAULT false,
)
SELECT
    nextval('oms."ShopOrderValidationDO_id_seq"'), --make sure you use this ID while creating a shop.
    true, 				-- articleId
    FALSE, 				-- commercialRegister
    FALSE, 				-- companyName
    FALSE, 				-- companyType
    FALSE, 				-- costNo
    FALSE, 				-- department
    FALSE, 				-- ean
    FALSE, 				-- lineOfBusiness
    FALSE, 				-- purchaseGross
    FALSE, 				-- purchaseNet
    FALSE, 				-- purchaseTax
    FALSE,				-- salesGross (FALSE)
    TRUE, 				-- salesNet (TRUE)
    TRUE, 				-- salesTax (TRUE)
    TRUE,				-- shopCustomerNo (TRUE)
    TRUE,				-- shopOrderNo (TRUE)
    FALSE, 				-- shopSelectedSupplierId
    FALSE, 				-- vatNo
    FALSE, 				-- singlePositionArticle
    'inSPIRED B2B Rule Validations', --some self-descriptive name
    TRUE; 				-- orderAddressEmailRequired

 /*
 * Create B2C Shop inTRONICS
 */

INSERT INTO "ShopAddressDO"(id,"addressLine1","addressLine2","addressLine3","addressLine4","addressLine5")
SELECT nextval('"ShopAddressDO_id_seq"'),'inTRONICS c/o Intershop Communications, Inc.','Leutragraben 1','07743 Jena, Germany','Phone: +49 3641 50-0','Fax: +49 3641 50-1111';

SELECT admin.createshop
(
    nextval('oms."ShopDO_id_seq"'),						    	-- new ShopDO.id                                   int8,  (will use the table serial when NULL)
    'inSPIRED',   				        --parent_org_name                                  varchar,
    'http://www.intershop.com/',        --url                                              varchar,
    FALSE,								--isabstract                                       boolean,
    TRUE,								--active                                           boolean,
    0,									--availabilitytolerance                            integer,
    FALSE,								--isb2b                                            boolean,
    29,									--countrydefref                                    integer, -- Germany
    TRUE,								--legal                                            boolean,
    TRUE,								--maparticleid                                     boolean,
    'inTRONICS',						--name                                             varchar,
    2,                    				--orderoptimizedefref                              integer,
    FALSE,                				--overwriteselectedsupplierallowed                 boolean,
    0,                    				--returncharge                                     numeric(15,5),
    14,                 				--returndeadline                                   integer,
    'inTRONICS',            			--shopname                                         varchar,
    NULL,                 				--shopordersequencename                            varchar,
    TRUE,                 				--singlearticleinfo                                boolean,
    currval('"ShopAddressDO_id_seq"'),  --shopaddressref                                   bigint,
    (SELECT id FROM oms."ShopOrderValidationDO" WHERE name= 'B2C Invoicing Rules Set'),      --shopordervalidationref       bigint,
    FALSE,                				--hassupplierprefix                                boolean,
    FALSE,                				--hasinformshopreturn                              boolean,
    'inTRONICS',            				--internalShopName                                 varchar,
    FALSE,                				--shopusesomt                                      boolean,
    NULL,                 				--shopcustomersequencename                         varchar,
    FALSE,                				--preferredsupplieronly                            boolean,
    '3m',                 				--orderprocessingdelay                             varchar,
    NULL,                 				--shopordersequencenumberformatstring              varchar,
    NULL,                 				--ordertokenvalidityduration                       varchar,
    FALSE,                 				--trackstockinformation                            boolean,
    'Dr. Jochen Wiechen (CEO)',			--ceo                                              varchar,
    10,                   				--configurationusecasedefref                       integer,
    NULL,                    			--salespricecalculatorbeandefref                   integer,
    NULL,                    			--amountdaysforpaymentremindermailofprepaidorders  integer,
    NULL                    			--amountdaysforautocancellationofprepaidorders     integer
);

/*
 * Create B2B Shop inTRONICS Business
 */

INSERT INTO "ShopAddressDO"(id,"addressLine1","addressLine2","addressLine3","addressLine4","addressLine5")
SELECT nextval('"ShopAddressDO_id_seq"'),'inTRONICS Business c/o Intershop Communications, Inc.','Leutragraben 1','07743 Jena, Germany','Phone: +49 3641 50-0','Fax: +49 3641 50-1111';

SELECT admin.createshop
(
    nextval('oms."ShopDO_id_seq"'),		-- new ShopDO.id                                   int8,  (will use the table serial when NULL)
    'inSPIRED',   						--parent_org_name                                  varchar,
    'http://www.intershop.com/',        --url                                              varchar,
    FALSE,								--isabstract                                       boolean,
    TRUE,								--active                                           boolean,
    0,									--availabilitytolerance                            integer,
    TRUE,								--isb2b                                            boolean,
    29,									--countrydefref                                    integer,
    TRUE,								--legal                                            boolean,
    TRUE,								--maparticleid                                     boolean,
    'inTRONICS Business',				--name                                             varchar,
    2,                    				--orderoptimizedefref                              integer, "OptimizePurchasePT" -> 1 "OptimizeDeliveryTimePT" -> 2
    FALSE,                				--overwriteselectedsupplierallowed                 boolean,
    0,                    				--returncharge                                     numeric(15,5),
    14,                 				--returndeadline                                   integer,
    'inTRONICS Business',            	--shopname                                         varchar,
    NULL,                 				--shopordersequencename                            varchar,
    TRUE,                 				--singlearticleinfo                                boolean,
    currval('"ShopAddressDO_id_seq"'),  --shopaddressref                                   bigint,
    (SELECT id FROM oms."ShopOrderValidationDO"	WHERE name= 'inSPIRED B2B Rule Validations'),   --shopordervalidationref         bigint,
    FALSE,                				--hassupplierprefix                                boolean,
    FALSE,                				--hasinformshopreturn                              boolean,
    'inTRONICS_Business',            	--internalShopName                                 varchar,
    FALSE,                				--shopusesomt                                      boolean,
    NULL,                 				--shopcustomersequencename                         varchar,
    FALSE,                				--preferredsupplieronly                            boolean,
    '3m',                 				--orderprocessingdelay                             varchar,
    NULL,                 				--shopordersequencenumberformatstring              varchar,
    NULL,                 				--ordertokenvalidityduration                       varchar,
    FALSE,                 				--trackstockinformation                            boolean,
    'Dr. Jochen Wiechen (CEO)',			--ceo                                              varchar,
    10,                   				--configurationusecasedefref                       integer,
    NULL,                    			--salespricecalculatorbeandefref                   integer,
    NULL,                    			--amountdaysforpaymentremindermailofprepaidorders  integer,
    NULL                    			--amountdaysforautocancellationofprepaidorders     integer
);

/*
 * Create inSPIRED Florida Warehouse and Retailer
 * throws an exception if the supplier could not be created

	"tb.inventorylocationtype.retailer" -> 1 suppliertypedefref
	"tb.inventorylocationtype.warehouse" -> 2 suppliertypedefref

 */

SELECT admin.createsupplier
(
    nextval('oms."SupplierDO_id_seq"'),                 		-- new SupplierDO.id              int8,  (will use the table serial when NULL)
    'inSPIRED',         			-- parent_org_name                varchar
    TRUE,                       	-- active                         boolean
    TRUE,                       	-- contentsupplier                boolean
    1,                          	-- countrycodedefref              integer
    29,                          	-- countrydefref                  integer
    '9 PM',                    	-- cutofftime                     varchar
    TRUE,                       	-- deliveringsupplier             boolean
    TRUE,                       	-- legal                          boolean
    'inTRONICS Florida Warehouse',   	-- name                           varchar
    'inTRONICS Florida Warehouse',   	-- suppliername                   varchar
    TRUE,                      		-- supportsreservation            boolean
    FALSE,                      	-- supportsresponse               boolean
    TRUE,                       	-- singlepositionarticle          boolean
    'inTRONICS_florida_warehouse',       -- internalsuppliername           varchar
    NULL,                       	-- parentsupplierref              bigint,
    FALSE,                      	-- cleanparentonimport            boolean
    FALSE,                      	-- ignoreadditionalpositions      boolean
    0,                          	-- configurationusecasedefref     integer
    NULL,                       	-- businessobjectprocessingdelay  varchar
    2                           	-- suppliertypedefref             integer
);

SELECT admin.createsupplier
(
    nextval('oms."SupplierDO_id_seq"'),                                                                         -- new SupplierDO.id              int8,  (will use the table serial when NULL)
    'inSPIRED',                                                       					-- parent_org_name                varchar
    TRUE,                                                                               -- active                         boolean
    FALSE,                                                                              -- contentsupplier                boolean
    1,                                                                                  -- countrycodedefref              integer
    29,                                                                                 -- countrydefref                  integer
    '6 PM',                                                                             -- cutofftime                     varchar
    TRUE,                                                                               -- deliveringsupplier             boolean
    TRUE,                                                                               -- legal                          boolean
    'inTRONICS Florida Retailer',                                                       -- name                           varchar
    'inTRONICS Florida Retailer',                                                       -- suppliername                   varchar
    TRUE,                                                                               -- supportsreservation            boolean
    FALSE,                                                                              -- supportsresponse               boolean
    TRUE,                                                                               -- singlepositionarticle          boolean
    'inTRONICS_florida_retailer',                                                       -- internalsuppliername           varchar
    NULL,      																			-- parentsupplierref              bigint,
    FALSE,                                                                              -- cleanparentonimport            boolean
    FALSE,                                                                              -- ignoreadditionalpositions      boolean
    0,                                                                                  -- configurationusecasedefref     integer
    NULL,                                                                               -- businessobjectprocessingdelay  varchar
    1                                                                                   -- suppliertypedefref             integer (meaning retailer)
);
/*
 * Create inSPIRED Texas Warehouse and Retailer
 * throws an exception if the supplier could not be created

	"tb.inventorylocationtype.retailer" -> 1 suppliertypedefref
	"tb.inventorylocationtype.warehouse" -> 2 suppliertypedefref

 */

SELECT admin.createsupplier
(
    nextval('oms."SupplierDO_id_seq"'),                 		-- new SupplierDO.id              int8,  (will use the table serial when NULL)
    'inSPIRED',         			-- parent_org_name                varchar
    TRUE,                       	-- active                         boolean
    TRUE,                       	-- contentsupplier                boolean
    1,                          	-- countrycodedefref              integer
    29,                          	-- countrydefref                  integer
    '21:00',                    	-- cutofftime                     varchar
    TRUE,                       	-- deliveringsupplier             boolean
    TRUE,                       	-- legal                          boolean
    'inTRONICS Texas Warehouse',   	-- name                           varchar
    'inTRONICS Texas Warehouse',   	-- suppliername                   varchar
    TRUE,                      		-- supportsreservation            boolean
    FALSE,                      	-- supportsresponse               boolean
    TRUE,                       	-- singlepositionarticle          boolean
    'inTRONICS_texas_warehouse',       -- internalsuppliername           varchar
    NULL,                       	-- parentsupplierref              bigint,
    FALSE,                      	-- cleanparentonimport            boolean
    FALSE,                      	-- ignoreadditionalpositions      boolean
    0,                          	-- configurationusecasedefref     integer
    NULL,                       	-- businessobjectprocessingdelay  varchar
    2                           	-- suppliertypedefref             integer
);
SELECT admin.createsupplier
(
    nextval('oms."SupplierDO_id_seq"'),                                                                         -- new SupplierDO.id              int8,  (will use the table serial when NULL)
    'inSPIRED',                                                       					-- parent_org_name                varchar
    TRUE,                                                                               -- active                         boolean
    FALSE,                                                                              -- contentsupplier                boolean
    1,                                                                                  -- countrycodedefref              integer
    29,                                                                                 -- countrydefref                  integer
    '5 PM',                                                                             -- cutofftime                     varchar
    TRUE,                                                                               -- deliveringsupplier             boolean
    TRUE,                                                                               -- legal                          boolean
    'inTRONICS Texas Retailer',                                                       -- name                           varchar
    'inTRONICS Texas Retailer',                                                       -- suppliername                   varchar
    TRUE,                                                                               -- supportsreservation            boolean
    FALSE,                                                                              -- supportsresponse               boolean
    TRUE,                                                                               -- singlepositionarticle          boolean
    'inTRONICS_texas_retailer',                                                                   -- internalsuppliername           varchar
    NULL,      -- parentsupplierref              bigint,
    FALSE,                                                                              -- cleanparentonimport            boolean
    FALSE,                                                                              -- ignoreadditionalpositions      boolean
    0,                                                                                  -- configurationusecasedefref     integer
    NULL,                                                                               -- businessobjectprocessingdelay  varchar
    1                                                                                   -- suppliertypedefref             integer (meaning retailer)
);

/*
 * Create inSPIRED German Warehouse and Retailer
 * throws an exception if the supplier could not be created

	"tb.inventorylocationtype.retailer" -> 1 suppliertypedefref
	"tb.inventorylocationtype.warehouse" -> 2 suppliertypedefref

 */

SELECT admin.createsupplier
(
    nextval('oms."SupplierDO_id_seq"'),                 			-- new SupplierDO.id              int8,  (will use the table serial when NULL)
    'inSPIRED',         			-- parent_org_name                varchar
    TRUE,                       	-- active                         boolean
    TRUE,                       	-- contentsupplier                boolean
    1,                          	-- countrycodedefref              integer
    29,                          	-- countrydefref                  integer
    '21:00',                    	-- cutofftime                     varchar
    TRUE,                       	-- deliveringsupplier             boolean
    TRUE,                       	-- legal                          boolean
    'inTRONICS California Warehouse',   	-- name                           varchar
    'inTRONICS California Warehouse',   	-- suppliername                   varchar
    TRUE,                      		-- supportsreservation            boolean
    FALSE,                      	-- supportsresponse               boolean
    TRUE,                       	-- singlepositionarticle          boolean
    'inTRONICS_california_warehouse',       -- internalsuppliername           varchar
    NULL,                       	-- parentsupplierref              bigint,
    FALSE,                      	-- cleanparentonimport            boolean
    FALSE,                      	-- ignoreadditionalpositions      boolean
    0,                          	-- configurationusecasedefref     integer
    NULL,                       	-- businessobjectprocessingdelay  varchar
    2                           	-- suppliertypedefref             integer
);

SELECT admin.createsupplier
(
    nextval('oms."SupplierDO_id_seq"'),                                                                         -- new SupplierDO.id              int8,  (will use the table serial when NULL)
    'inSPIRED',                                                       					-- parent_org_name                varchar
    TRUE,                                                                               -- active                         boolean
    FALSE,                                                                              -- contentsupplier                boolean
    1,                                                                                  -- countrycodedefref              integer
    29,                                                                                 -- countrydefref                  integer
    '5 PM',                                                                             -- cutofftime                     varchar
    TRUE,                                                                               -- deliveringsupplier             boolean
    TRUE,                                                                               -- legal                          boolean
    'inTRONICS California Retailer',                                                       -- name                           varchar
    'inTRONICS California Retailer',                                                       -- suppliername                   varchar
    TRUE,                                                                               -- supportsreservation            boolean
    FALSE,                                                                              -- supportsresponse               boolean
    TRUE,                                                                               -- singlepositionarticle          boolean
    'inTRONICS_california_retailer',                                                                   -- internalsuppliername           varchar
    NULL,      -- parentsupplierref              bigint,
    FALSE,                                                                              -- cleanparentonimport            boolean
    FALSE,                                                                              -- ignoreadditionalpositions      boolean
    0,                                                                                  -- configurationusecasedefref     integer
    NULL,                                                                               -- businessobjectprocessingdelay  varchar
    1                                                                                   -- suppliertypedefref             integer (meaning retailer)
);


/*
 * shop2returntypedefdo
*/

INSERT INTO oms."Shop2ReturnTypeDefDO" ("id", "returnTypeDefRef", "shopReturnTypeName", "shopRef") VALUES ( nextval('oms."Shop2ReturnTypeDefDO_id_seq"'), 4, 'RET', (select id from oms."ShopDO" where "internalShopName"='inTRONICS'));
INSERT INTO oms."Shop2ReturnTypeDefDO" ("id", "returnTypeDefRef", "shopReturnTypeName", "shopRef") VALUES ( nextval('oms."Shop2ReturnTypeDefDO_id_seq"'), 4, 'RET', (select id from oms."ShopDO" where "internalShopName"='inTRONICS_Business'));
