﻿
DO $$
BEGIN
------ Begin A --------------------------------

INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT nextval('"ImportConfigurationDO_id_seq"'),
	null ,
	'',
	'''|''',	'supplierArticleNo|manufacturer|manufacturerArticleNo|ISBN|EAN|articleName|length|height|width|weight|assortmentName|assortmentIdentifier|deliveryForm|customsTariffNo|parentSupplierArticleNo|articleForm|immaterialUid|articleLanguage|supplierSalesCode|supplierArticleIdentifier|articleType|edition|packagingUnit|packagingUnitValue',
	null,
	'import_standard_a_v10',
	sup.id,
	'Import_Standard_Basic_V10',
	FALSE,
	1,
	TRUE,
	null,
	FALSE,
	FALSE,
	'',
	2,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	TRUE,
	TRUE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_florida_retailer', 'inTRONICS_florida_warehouse',
	'inTRONICS_california_warehouse', 'inTRONICS_california_retailer', 
	'inTRONICS_texas_warehouse', 'inTRONICS_texas_retailer');


------ End A ----------------------------------


------ Begin BCG --------------------------------


INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT nextval('"ImportConfigurationDO_id_seq"'),
	'process_availability_mapping_do_nothing',
	'',
	'''|''',	'supplierArticleNo|currency|purchasePrice|listPrice|stockLevel|stockType|availabilityInDays|salesPrice|basicPrice|basicPriceUnitValue|basicPriceUnit|salesPriceOld|provisionType|provisionPercentage|taxType|isBestseller',
	null,
	'import_standard_bcg_v3',
	sup.id,
	'Import_Standard_Dynamic_V7',
	TRUE,
	13,
	TRUE,
	null,
	FALSE,
	FALSE,
	'',
	6,
	'',
	FALSE,
	TRUE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null
from oms."SupplierDO" sup where "internalSupplierName" IN (
	'inTRONICS_florida_retailer', 'inTRONICS_florida_warehouse',
	'inTRONICS_california_warehouse', 'inTRONICS_california_retailer', 
	'inTRONICS_texas_warehouse', 'inTRONICS_texas_retailer');
------ End BCG ----------------------------------


INSERT INTO product."ImportConfigurationDO"(
	id,
	"availabilityStoredProcedure",
	"copyStoredProcedure",
	"csvDelimiter",
	"csvHeader",
	"priceComparisonProviderDefRef",
	"storedProcedureGroup",
	"supplierRef",
	"tableNameGroup",
	"checkMissingInLastDatapack",
	"importDatapackFileTypeDefRef",
	"canDatapackBeEmpty",
	"parentImportConfigurationRef",
	"convertToCSV",
	"createContentAssignment",
	"internalMediaPath",
	"splitCount",
	"variationProcedure",
	"identifyOnBakeryArticleRef",
	"supplementArticleParent",
	"assortmentSupplier",
	"updateArticleType",
	"importBeanDefRef",
	"createSupplierAssortmentSystem",
	"createManufacturer",
	"financeControllerRef",
	"changeIdentificationOfArticle",
	"bonusPartnerRef")
	SELECT nextval('"ImportConfigurationDO_id_seq"'), 
	null ,
	'',
	'''|''',
	'supplierArticleNo|bakeryArticleNo|shopArticleNo',
	null,
	'import_standard_n_v4',
	sup.id,
	'Import_Standard_ShopArticleNo_V4',
	FALSE,
	39,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	3,
	null,
	FALSE,
	FALSE,
	sup.id,
	FALSE,
	null,
	FALSE,
	FALSE,
	null,
	null,
	null

from oms."SupplierDO" sup where "internalSupplierName" IN (
'inTRONICS_florida_retailer', 'inTRONICS_florida_warehouse',
'inTRONICS_california_warehouse', 'inTRONICS_california_retailer', 
'inTRONICS_texas_warehouse', 'inTRONICS_texas_retailer');


END;
$$;
